Bug 1445161 - [Docs][Install] Provide installation instructions for newly-available 3.6 RHVH
Summary: [Docs][Install] Provide installation instructions for newly-available 3.6 RHVH
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.10
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ovirt-3.6.11
: ---
Assignee: Byron Gravenorst
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On:
Blocks: 1445157 1462674
TreeView+ depends on / blocked
 
Reported: 2017-04-25 07:19 UTC by Jiri Belka
Modified: 2019-05-07 12:56 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 03:35:13 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1445157 None None None Never

Internal Links: 1445157

Description Jiri Belka 2017-04-25 07:19:55 UTC
Description of problem:

https://bugzilla.redhat.com/show_bug.cgi?id=1421098 introduced 3.6 NGN for 3.6 but there's an issue in 3.6 version host-deploy which doesn't recognize correctly 3.6 NGN while adding it into 3.6 engine.

thus 3.6 ngn cannot be updated correctly via engine and thus https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.0/html/upgrade_guide/updating_virtualization_hosts cannot be followed strictly.

there should be probably a 'Note' section mentioning that host upgrade manager can't upgrade 3.6 NGN inside 4.0 engine if it was added in time of 3.6 engine (ie. with host-deploy from 3.6 engine). See https://bugzilla.redhat.com/show_bug.cgi?id=1431226 and https://bugzilla.redhat.com/show_bug.cgi?id=1425660

This issue can be repaired only in 4.0 with 'Reinstall' button or via direct modification of the DB right now or a KB...

fyi where is info about adding new repo/channel for upgrade from 3.6 ngn to 4.0 ngn?

Version-Release number of selected component (if applicable):
4.0

How reproducible:
100%

Steps to Reproduce:
1. add 3.6 ngn into 3.6 engine
2. upgrade engine to 4.0
3. follow upgrade guide

Actual results:
no upgrade would appear as 3.6 ngn has wrong vds_type in the DB thus there will be notification for upgrade...

Expected results:
it should be clear for 3.6 ngn users what to do how to get updates 3.6 -> 4.0ngn working

Additional info:

Comment 1 Lucy Bopf 2017-05-15 01:42:17 UTC
We will cover the upgrade scenario and update workaround in bug 1445157.

I am changing the scope of this bug to cover the installation flow for the new 3.6 RHVH, because the upgrade flow depends on the user installing 3.6 RHVH.


Assigning to Byron for review.

Comment 7 Pavel Stehlik 2017-06-08 08:21:23 UTC
QE - ack - looks good.

Comment 26 Dan Kenigsberg 2017-06-20 12:52:48 UTC
RHV field engineering is happy with the suggested text. When can we expect it pushed to customers?


Note You need to log in before you can comment on or make changes to this bug.